Bug 208302 - iPod Mounts as root and not logged in user
iPod Mounts as root and not logged in user
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: gnome-mount (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-27 15:28 EDT by Ken Reilly
Modified: 2013-03-05 22:47 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:53:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Pete Graner 2006-09-27 15:28:47 EDT
Description of problem:


Version-Release number of selected component (if applicable):

[pgraner@meatwad ~]$ rpm -q gnome-mount
gnome-mount-0.4.0.2006.07.24-1.fc6


How reproducible: Every time


Steps to Reproduce:
1. Plug in iPod
2. ls -al /media

  
Actual results:

[pgraner@meatwad bin]$ ls -al /media
total 20
drwxr-xr-x  3 root root 4096 Sep 27 15:13 .
drwxr-xr-x 23 root root 4096 Sep 27 14:06 ..
drwxr-xr-x  1 root root   17 Feb 24  2006 disk
lrwxrwxrwx  1 root root   11 Jun 15 22:26 ipod -> /media/disk



Expected results:

Should be mounted as logged in user so tools like gtkpod can use the device.


Additional info:

[pgraner@meatwad ~]$ mount
/dev/mapper/VolGroup00-LogVol00 on / type ext3 (rw)
proc on /proc type proc (rw)
sysfs on /sys type sysfs (rw)
devpts on /dev/pts type devpts (rw,gid=5,mode=620)
/dev/hda1 on /boot type ext3 (rw)
tmpfs on /dev/shm type tmpfs (rw)
none on /proc/sys/fs/binfmt_misc type binfmt_misc (rw)
sunrpc on /var/lib/nfs/rpc_pipefs type rpc_pipefs (rw)
/dev/sde3 on /media/disk type hfsplus (rw,noexec,nosuid,nodev)
Comment 1 Pete Graner 2006-09-27 15:33:29 EDT
Think I might have found the cause, I found this in /var/log/messages

Sep 27 15:13:49 meatwad kernel: hfs: write access to a jounaled filesystem is
not supported, use the force option at your own risk, mounting read-only.

I've been manually mounting and running with no problems with hfs, how can I
tell gnome mount how to use the force option?
Comment 2 David Zeuthen 2006-09-27 15:55:24 EDT
Re comment 1: it's possible configure mount options either via the command line
(see man page for gnome-mount) or using the Nautilus extension in the package
gnome-mount-nautilus-properties (the latter has pretty bad UI and is thus not
installed by default - will fix this for FC7 / FC8)
Comment 3 David Zeuthen 2006-09-27 16:01:03 EDT
Re the original request: we specifically don't allow changing the uid of the
file system as that would be a security hole. We'd be allowing users at the
console to bypass built-in file system security. So to avoid this we have a
per-device white list of options we allow. For HFS/HFS+ 'force' is one of them
so you can at least write to such disks.

Another point is that the hfs file system driver in the kernel don't export this
option IIRC - if you know the options to use please let me know.

There is some work ongoing in this area, see

http://people.freedesktop.org/~david/perm-override/gnome-mount-perm-override-1.png
http://people.freedesktop.org/~david/perm-override/gnome-mount-perm-override-2.png

for some ideas. However at this point we simply lack solid infrastructure to do
this. This will be fixed in FC7 when we start shipping PolicyKit.
Comment 4 David Zeuthen 2006-09-27 16:03:50 EDT
Clarifying comment 3:
> Another point is that the hfs file system driver in the kernel don't export this
> option IIRC - if you know the options to use please let me know.

I meant that I don't know of what mount option to use for HFS+ to make the files
/ directories appear as they owned (and thus writable) by the logged in user. If
you know this please do let me know. Thanks.
Comment 5 Thomas J. Baker 2007-04-17 16:38:28 EDT
I'm currently running FC7T3 with all updates as of today (4/17) and with my
fat32 ipod shuffle, this is happening. It seems like a regression as it doesn't
happen with the same ipod on my FC6 system.
Comment 6 David Zeuthen 2007-04-17 17:50:25 EDT
(In reply to comment #5)
> I'm currently running FC7T3 with all updates as of today (4/17) and with my
> fat32 ipod shuffle, this is happening. It seems like a regression as it doesn't
> happen with the same ipod on my FC6 system.

This bug is about HFS+ formatted iPods - you seem to be affected by bug 234716
(which should be fixed now).
Comment 7 Red Hat Bugzilla 2007-10-23 11:25:11 EDT
User pgraner@redhat.com's account has been closed
Comment 8 Bug Zapper 2008-04-03 14:20:43 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 9 Bug Zapper 2008-05-06 20:53:44 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.